### Zadání

Paprsek bílého světla dopadá ve vzduchu na flintové sklo (druh skla používaného v optice) pod úhlem 60°. Index lomu flintového skla pro červené světlo vlnové délky 761 nm je 1,735 a pro fialové světlo vlnové délky 397 nm je 1,811. Určete úhel mezi lomeným červeným a fialovým paprskem.

- $\alpha = 60^\circ$
- $v_{č} = 1.735$
- $v_{f} = 1.811$
- $\gamma = ?$

![](_assets/priklad11.svg)

z obrázku vidíme, že $\gamma = \beta_{č} - \beta_{f}$

### Výpočet

pro stanovení úhlu lomu $\beta$ využijeme Snellův zákon
- pro **červený paprsek** dostaneme
	- $\displaystyle \frac{\sin \alpha}{\sin \beta_{č}} = \frac{n_{č}}{n_{v}} = n_{č} \qquad (n_{v} \sim 1)$
	- vyjádříme $\displaystyle \sin \beta_{č} = \frac{\sin \alpha}{n_{č}}$
+ pro **fialový paprsek** dostaneme
	+ $\displaystyle \frac{\sin \alpha}{\sin \beta_{f}} = \frac{n_{f}}{n_{v}} = n_{f}  \qquad (n_{v} \sim 1)$
	+ vyjádříme $\displaystyle \sin \beta_{f} = \frac{\sin \alpha}{n_{f}}$

### Výsledek

vypočítáme výsledný úhel
- $\displaystyle \gamma = \beta_{č} - \beta_{f} = \arcsin\left(\frac{\sin \alpha}{n_{č}}\right) - \arcsin\left( \frac{\sin \alpha}{n_{f}} \right)$
- dosadíme
	- $\gamma = \arcsin\left( \frac{\sin 60^\circ}{1.735} \right) - \arcsin\left( \frac{\sin 60^\circ}{1.811} \right) = 1.375692^\circ$